function grade = whatsMyGradeMA4024_2014(resultsEx, resultProj, numberOfMissedDeadlines,bAskQuestion)
% function whatsMyGrade outputs a grade that is one of [0, 3, 4]. It inputs:
%
% - resultsEx: a vector where each element is an integer grade for the
% corresponding exercise. grades are one of the following 0 (failed), 3
% (passed), 4 (passed with distinction)
%
% - resultProj: a grade for the final project (0, 3, 4, 5 or 6)
if nargin <4,  bAskQuestion=false; end

if bAskQuestion
    studenAnswer = questdlg('Do you understand the code that is in the file "whatsMyGrade.m"?');
    if ~strcmp(studenAnswer,'Yes')
        grade = 0;
        return
    end
end

%average grade of all exercises and project
averageResult = (sum(resultsEx) + resultProj)/(length(resultsEx)+1);

if averageResult < 3 
    grade = 0;
    return
elseif numberOfMissedDeadlines > 2
    grade = 3;
    return
end

% this point in the code is reached only if the student has at least an
% average score of 3, and less than 3 missed deadlines(maximum 2 deadlines missed)

grade = round(averageResult-0.05);
